Bug 168355 - gfortran should have a flag to force local variables into static space
gfortran should have a flag to force local variables into static space
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc4 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-09-15 06:46 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0127
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:24:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 23677 None None None Never

  None (edit)
Description Bastien Nocera 2005-09-15 06:46:06 EDT
This is already being worked on upstream:
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20592
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=23677
Comment 3 Jakub Jelinek 2005-09-27 05:52:35 EDT
PR20592 is fixed on gcc-4_0-branch, gcc-4_0-rhl-branch as well as HEAD.
PR23677 is so far fixed on HEAD, but has been approved for gcc-4_0-branch
as well once it reopens:
http://gcc.gnu.org/ml/gcc-patches/2005-09/msg01612.html
As RHEL5 gcc will be either 4.1 or gcc-4_0-rhl-branch based (and in the latter
case there will be a lot of merges from gcc-4_0-branch in the mean time),
I think this can be closed as UPSTREAM.
Comment 4 Jakub Jelinek 2005-10-04 17:09:27 EDT
It has been checked into gcc-4_0-rhl-branch as well last week.
Comment 16 Red Hat Bugzilla 2006-03-07 13:24:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0127.html

Note You need to log in before you can comment on or make changes to this bug.